try {
  self["workbox:core:7.0.0"] && _();
} catch {
}
const z = (s, ...e) => {
  let t = s;
  return e.length > 0 && (t += ` :: ${JSON.stringify(e)}`), t;
}, J = z;
class h extends Error {
  /**
   *
   * @param {string} errorCode The error code that
   * identifies this particular error.
   * @param {Object=} details Any relevant arguments
   * that will help developers identify issues should
   * be added as a key on the context object.
   */
  constructor(e, t) {
    const n = J(e, t);
    super(n), this.name = e, this.details = t;
  }
}
try {
  self["workbox:routing:7.0.0"] && _();
} catch {
}
const F = "GET", C = (s) => s && typeof s == "object" ? s : { handle: s };
class b {
  /**
   * Constructor for Route class.
   *
   * @param {workbox-routing~matchCallback} match
   * A callback function that determines whether the route matches a given
   * `fetch` event by returning a non-falsy value.
   * @param {workbox-routing~handlerCallback} handler A callback
   * function that returns a Promise resolving to a Response.
   * @param {string} [method='GET'] The HTTP method to match the Route
   * against.
   */
  constructor(e, t, n = F) {
    this.handler = C(t), this.match = e, this.method = n;
  }
  /**
   *
   * @param {workbox-routing-handlerCallback} handler A callback
   * function that returns a Promise resolving to a Response
   */
  setCatchHandler(e) {
    this.catchHandler = C(e);
  }
}
class X extends b {
  /**
   * If the regular expression contains
   * [capture groups]{@link https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/RegExp#grouping-back-references},
   * the captured values will be passed to the
   * {@link workbox-routing~handlerCallback} `params`
   * argument.
   *
   * @param {RegExp} regExp The regular expression to match against URLs.
   * @param {workbox-routing~handlerCallback} handler A callback
   * function that returns a Promise resulting in a Response.
   * @param {string} [method='GET'] The HTTP method to match the Route
   * against.
   */
  constructor(e, t, n) {
    const a = ({ url: i }) => {
      const r = e.exec(i.href);
      if (r && !(i.origin !== location.origin && r.index !== 0))
        return r.slice(1);
    };
    super(a, t, n);
  }
}
const Y = (s) => new URL(String(s), location.href).href.replace(new RegExp(`^${location.origin}`), "");
class Z {
  /**
   * Initializes a new Router.
   */
  constructor() {
    this._routes = /* @__PURE__ */ new Map(), this._defaultHandlerMap = /* @__PURE__ */ new Map();
  }
  /**
   * @return {Map<string, Array<workbox-routing.Route>>} routes A `Map` of HTTP
   * method name ('GET', etc.) to an array of all the corresponding `Route`
   * instances that are registered.
   */
  get routes() {
    return this._routes;
  }
  /**
   * Adds a fetch event listener to respond to events when a route matches
   * the event's request.
   */
  addFetchListener() {
    self.addEventListener("fetch", (e) => {
      const { request: t } = e, n = this.handleRequest({ request: t, event: e });
      n && e.respondWith(n);
    });
  }
  /**
   * Adds a message event listener for URLs to cache from the window.
   * This is useful to cache resources loaded on the page prior to when the
   * service worker started controlling it.
   *
   * The format of the message data sent from the window should be as follows.
   * Where the `urlsToCache` array may consist of URL strings or an array of
   * URL string + `requestInit` object (the same as you'd pass to `fetch()`).
   *
   * ```
   * {
   *   type: 'CACHE_URLS',
   *   payload: {
   *     urlsToCache: [
   *       './script1.js',
   *       './script2.js',
   *       ['./script3.js', {mode: 'no-cors'}],
   *     ],
   *   },
   * }
   * ```
   */
  addCacheListener() {
    self.addEventListener("message", (e) => {
      if (e.data && e.data.type === "CACHE_URLS") {
        const { payload: t } = e.data, n = Promise.all(t.urlsToCache.map((a) => {
          typeof a == "string" && (a = [a]);
          const i = new Request(...a);
          return this.handleRequest({ request: i, event: e });
        }));
        e.waitUntil(n), e.ports && e.ports[0] && n.then(() => e.ports[0].postMessage(!0));
      }
    });
  }
  /**
   * Apply the routing rules to a FetchEvent object to get a Response from an
   * appropriate Route's handler.
   *
   * @param {Object} options
   * @param {Request} options.request The request to handle.
   * @param {ExtendableEvent} options.event The event that triggered the
   *     request.
   * @return {Promise<Response>|undefined} A promise is returned if a
   *     registered route can handle the request. If there is no matching
   *     route and there's no `defaultHandler`, `undefined` is returned.
   */
  handleRequest({ request: e, event: t }) {
    const n = new URL(e.url, location.href);
    if (!n.protocol.startsWith("http"))
      return;
    const a = n.origin === location.origin, { params: i, route: r } = this.findMatchingRoute({
      event: t,
      request: e,
      sameOrigin: a,
      url: n
    });
    let c = r && r.handler;
    const o = e.method;
    if (!c && this._defaultHandlerMap.has(o) && (c = this._defaultHandlerMap.get(o)), !c)
      return;
    let l;
    try {
      l = c.handle({ url: n, request: e, event: t, params: i });
    } catch (u) {
      l = Promise.reject(u);
    }
    const g = r && r.catchHandler;
    return l instanceof Promise && (this._catchHandler || g) && (l = l.catch(async (u) => {
      if (g)
        try {
          return await g.handle({ url: n, request: e, event: t, params: i });
        } catch (K) {
          K instanceof Error && (u = K);
        }
      if (this._catchHandler)
        return this._catchHandler.handle({ url: n, request: e, event: t });
      throw u;
    })), l;
  }
  /**
   * Checks a request and URL (and optionally an event) against the list of
   * registered routes, and if there's a match, returns the corresponding
   * route along with any params generated by the match.
   *
   * @param {Object} options
   * @param {URL} options.url
   * @param {boolean} options.sameOrigin The result of comparing `url.origin`
   *     against the current origin.
   * @param {Request} options.request The request to match.
   * @param {Event} options.event The corresponding event.
   * @return {Object} An object with `route` and `params` properties.
   *     They are populated if a matching route was found or `undefined`
   *     otherwise.
   */
  findMatchingRoute({ url: e, sameOrigin: t, request: n, event: a }) {
    const i = this._routes.get(n.method) || [];
    for (const r of i) {
      let c;
      const o = r.match({ url: e, sameOrigin: t, request: n, event: a });
      if (o)
        return c = o, (Array.isArray(c) && c.length === 0 || o.constructor === Object && // eslint-disable-line
        Object.keys(o).length === 0 || typeof o == "boolean") && (c = void 0), { route: r, params: c };
    }
    return {};
  }
  /**
   * Define a default `handler` that's called when no routes explicitly
   * match the incoming request.
   *
   * Each HTTP method ('GET', 'POST', etc.) gets its own default handler.
   *
   * Without a default handler, unmatched requests will go against the
   * network as if there were no service worker present.
   *
   * @param {workbox-routing~handlerCallback} handler A callback
   * function that returns a Promise resulting in a Response.
   * @param {string} [method='GET'] The HTTP method to associate with this
   * default handler. Each method has its own default.
   */
  setDefaultHandler(e, t = F) {
    this._defaultHandlerMap.set(t, C(e));
  }
  /**
   * If a Route throws an error while handling a request, this `handler`
   * will be called and given a chance to provide a response.
   *
   * @param {workbox-routing~handlerCallback} handler A callback
   * function that returns a Promise resulting in a Response.
   */
  setCatchHandler(e) {
    this._catchHandler = C(e);
  }
  /**
   * Registers a route with the router.
   *
   * @param {workbox-routing.Route} route The route to register.
   */
  registerRoute(e) {
    this._routes.has(e.method) || this._routes.set(e.method, []), this._routes.get(e.method).push(e);
  }
  /**
   * Unregisters a route with the router.
   *
   * @param {workbox-routing.Route} route The route to unregister.
   */
  unregisterRoute(e) {
    if (!this._routes.has(e.method))
      throw new h("unregister-route-but-not-found-with-method", {
        method: e.method
      });
    const t = this._routes.get(e.method).indexOf(e);
    if (t > -1)
      this._routes.get(e.method).splice(t, 1);
    else
      throw new h("unregister-route-route-not-registered");
  }
}
let w;
const ee = () => (w || (w = new Z(), w.addFetchListener(), w.addCacheListener()), w);
function x(s, e, t) {
  let n;
  if (typeof s == "string") {
    const i = new URL(s, location.href), r = ({ url: c }) => c.href === i.href;
    n = new b(r, e, t);
  } else if (s instanceof RegExp)
    n = new X(s, e, t);
  else if (typeof s == "function")
    n = new b(s, e, t);
  else if (s instanceof b)
    n = s;
  else
    throw new h("unsupported-route-type", {
      moduleName: "workbox-routing",
      funcName: "registerRoute",
      paramName: "capture"
    });
  return ee().registerRoute(n), n;
}
const d = {
  googleAnalytics: "googleAnalytics",
  precache: "precache-v2",
  prefix: "workbox",
  runtime: "runtime",
  suffix: typeof registration < "u" ? registration.scope : ""
}, k = (s) => [d.prefix, s, d.suffix].filter((e) => e && e.length > 0).join("-"), te = (s) => {
  for (const e of Object.keys(d))
    s(e);
}, E = {
  updateDetails: (s) => {
    te((e) => {
      typeof s[e] == "string" && (d[e] = s[e]);
    });
  },
  getGoogleAnalyticsName: (s) => s || k(d.googleAnalytics),
  getPrecacheName: (s) => s || k(d.precache),
  getPrefix: () => d.prefix,
  getRuntimeName: (s) => s || k(d.runtime),
  getSuffix: () => d.suffix
};
function S(s, e) {
  const t = new URL(s);
  for (const n of e)
    t.searchParams.delete(n);
  return t.href;
}
async function se(s, e, t, n) {
  const a = S(e.url, t);
  if (e.url === a)
    return s.match(e, n);
  const i = Object.assign(Object.assign({}, n), { ignoreSearch: !0 }), r = await s.keys(e, i);
  for (const c of r) {
    const o = S(c.url, t);
    if (a === o)
      return s.match(c, n);
  }
}
class ne {
  /**
   * Creates a promise and exposes its resolve and reject functions as methods.
   */
  constructor() {
    this.promise = new Promise((e, t) => {
      this.resolve = e, this.reject = t;
    });
  }
}
const H = /* @__PURE__ */ new Set();
async function ae() {
  for (const s of H)
    await s();
}
function ie(s) {
  return new Promise((e) => setTimeout(e, s));
}
try {
  self["workbox:strategies:7.0.0"] && _();
} catch {
}
function R(s) {
  return typeof s == "string" ? new Request(s) : s;
}
class re {
  /**
   * Creates a new instance associated with the passed strategy and event
   * that's handling the request.
   *
   * The constructor also initializes the state that will be passed to each of
   * the plugins handling this request.
   *
   * @param {workbox-strategies.Strategy} strategy
   * @param {Object} options
   * @param {Request|string} options.request A request to run this strategy for.
   * @param {ExtendableEvent} options.event The event associated with the
   *     request.
   * @param {URL} [options.url]
   * @param {*} [options.params] The return value from the
   *     {@link workbox-routing~matchCallback} (if applicable).
   */
  constructor(e, t) {
    this._cacheKeys = {}, Object.assign(this, t), this.event = t.event, this._strategy = e, this._handlerDeferred = new ne(), this._extendLifetimePromises = [], this._plugins = [...e.plugins], this._pluginStateMap = /* @__PURE__ */ new Map();
    for (const n of this._plugins)
      this._pluginStateMap.set(n, {});
    this.event.waitUntil(this._handlerDeferred.promise);
  }
  /**
   * Fetches a given request (and invokes any applicable plugin callback
   * methods) using the `fetchOptions` (for non-navigation requests) and
   * `plugins` defined on the `Strategy` object.
   *
   * The following plugin lifecycle methods are invoked when using this method:
   * - `requestWillFetch()`
   * - `fetchDidSucceed()`
   * - `fetchDidFail()`
   *
   * @param {Request|string} input The URL or request to fetch.
   * @return {Promise<Response>}
   */
  async fetch(e) {
    const { event: t } = this;
    let n = R(e);
    if (n.mode === "navigate" && t instanceof FetchEvent && t.preloadResponse) {
      const r = await t.preloadResponse;
      if (r)
        return r;
    }
    const a = this.hasCallback("fetchDidFail") ? n.clone() : null;
    try {
      for (const r of this.iterateCallbacks("requestWillFetch"))
        n = await r({ request: n.clone(), event: t });
    } catch (r) {
      if (r instanceof Error)
        throw new h("plugin-error-request-will-fetch", {
          thrownErrorMessage: r.message
        });
    }
    const i = n.clone();
    try {
      let r;
      r = await fetch(n, n.mode === "navigate" ? void 0 : this._strategy.fetchOptions);
      for (const c of this.iterateCallbacks("fetchDidSucceed"))
        r = await c({
          event: t,
          request: i,
          response: r
        });
      return r;
    } catch (r) {
      throw a && await this.runCallbacks("fetchDidFail", {
        error: r,
        event: t,
        originalRequest: a.clone(),
        request: i.clone()
      }), r;
    }
  }
  /**
   * Calls `this.fetch()` and (in the background) runs `this.cachePut()` on
   * the response generated by `this.fetch()`.
   *
   * The call to `this.cachePut()` automatically invokes `this.waitUntil()`,
   * so you do not have to manually call `waitUntil()` on the event.
   *
   * @param {Request|string} input The request or URL to fetch and cache.
   * @return {Promise<Response>}
   */
  async fetchAndCachePut(e) {
    const t = await this.fetch(e), n = t.clone();
    return this.waitUntil(this.cachePut(e, n)), t;
  }
  /**
   * Matches a request from the cache (and invokes any applicable plugin
   * callback methods) using the `cacheName`, `matchOptions`, and `plugins`
   * defined on the strategy object.
   *
   * The following plugin lifecycle methods are invoked when using this method:
   * - cacheKeyWillByUsed()
   * - cachedResponseWillByUsed()
   *
   * @param {Request|string} key The Request or URL to use as the cache key.
   * @return {Promise<Response|undefined>} A matching response, if found.
   */
  async cacheMatch(e) {
    const t = R(e);
    let n;
    const { cacheName: a, matchOptions: i } = this._strategy, r = await this.getCacheKey(t, "read"), c = Object.assign(Object.assign({}, i), { cacheName: a });
    n = await caches.match(r, c);
    for (const o of this.iterateCallbacks("cachedResponseWillBeUsed"))
      n = await o({
        cacheName: a,
        matchOptions: i,
        cachedResponse: n,
        request: r,
        event: this.event
      }) || void 0;
    return n;
  }
  /**
   * Puts a request/response pair in the cache (and invokes any applicable
   * plugin callback methods) using the `cacheName` and `plugins` defined on
   * the strategy object.
   *
   * The following plugin lifecycle methods are invoked when using this method:
   * - cacheKeyWillByUsed()
   * - cacheWillUpdate()
   * - cacheDidUpdate()
   *
   * @param {Request|string} key The request or URL to use as the cache key.
   * @param {Response} response The response to cache.
   * @return {Promise<boolean>} `false` if a cacheWillUpdate caused the response
   * not be cached, and `true` otherwise.
   */
  async cachePut(e, t) {
    const n = R(e);
    await ie(0);
    const a = await this.getCacheKey(n, "write");
    if (!t)
      throw new h("cache-put-with-no-response", {
        url: Y(a.url)
      });
    const i = await this._ensureResponseSafeToCache(t);
    if (!i)
      return !1;
    const { cacheName: r, matchOptions: c } = this._strategy, o = await self.caches.open(r), l = this.hasCallback("cacheDidUpdate"), g = l ? await se(
      // TODO(philipwalton): the `__WB_REVISION__` param is a precaching
      // feature. Consider into ways to only add this behavior if using
      // precaching.
      o,
      a.clone(),
      ["__WB_REVISION__"],
      c
    ) : null;
    try {
      await o.put(a, l ? i.clone() : i);
    } catch (u) {
      if (u instanceof Error)
        throw u.name === "QuotaExceededError" && await ae(), u;
    }
    for (const u of this.iterateCallbacks("cacheDidUpdate"))
      await u({
        cacheName: r,
        oldResponse: g,
        newResponse: i.clone(),
        request: a,
        event: this.event
      });
    return !0;
  }
  /**
   * Checks the list of plugins for the `cacheKeyWillBeUsed` callback, and
   * executes any of those callbacks found in sequence. The final `Request`
   * object returned by the last plugin is treated as the cache key for cache
   * reads and/or writes. If no `cacheKeyWillBeUsed` plugin callbacks have
   * been registered, the passed request is returned unmodified
   *
   * @param {Request} request
   * @param {string} mode
   * @return {Promise<Request>}
   */
  async getCacheKey(e, t) {
    const n = `${e.url} | ${t}`;
    if (!this._cacheKeys[n]) {
      let a = e;
      for (const i of this.iterateCallbacks("cacheKeyWillBeUsed"))
        a = R(await i({
          mode: t,
          request: a,
          event: this.event,
          // params has a type any can't change right now.
          params: this.params
          // eslint-disable-line
        }));
      this._cacheKeys[n] = a;
    }
    return this._cacheKeys[n];
  }
  /**
   * Returns true if the strategy has at least one plugin with the given
   * callback.
   *
   * @param {string} name The name of the callback to check for.
   * @return {boolean}
   */
  hasCallback(e) {
    for (const t of this._strategy.plugins)
      if (e in t)
        return !0;
    return !1;
  }
  /**
   * Runs all plugin callbacks matching the given name, in order, passing the
   * given param object (merged ith the current plugin state) as the only
   * argument.
   *
   * Note: since this method runs all plugins, it's not suitable for cases
   * where the return value of a callback needs to be applied prior to calling
   * the next callback. See
   * {@link workbox-strategies.StrategyHandler#iterateCallbacks}
   * below for how to handle that case.
   *
   * @param {string} name The name of the callback to run within each plugin.
   * @param {Object} param The object to pass as the first (and only) param
   *     when executing each callback. This object will be merged with the
   *     current plugin state prior to callback execution.
   */
  async runCallbacks(e, t) {
    for (const n of this.iterateCallbacks(e))
      await n(t);
  }
  /**
   * Accepts a callback and returns an iterable of matching plugin callbacks,
   * where each callback is wrapped with the current handler state (i.e. when
   * you call each callback, whatever object parameter you pass it will
   * be merged with the plugin's current state).
   *
   * @param {string} name The name fo the callback to run
   * @return {Array<Function>}
   */
  *iterateCallbacks(e) {
    for (const t of this._strategy.plugins)
      if (typeof t[e] == "function") {
        const n = this._pluginStateMap.get(t);
        yield (i) => {
          const r = Object.assign(Object.assign({}, i), { state: n });
          return t[e](r);
        };
      }
  }
  /**
   * Adds a promise to the
   * [extend lifetime promises]{@link https://w3c.github.io/ServiceWorker/#extendableevent-extend-lifetime-promises}
   * of the event event associated with the request being handled (usually a
   * `FetchEvent`).
   *
   * Note: you can await
   * {@link workbox-strategies.StrategyHandler~doneWaiting}
   * to know when all added promises have settled.
   *
   * @param {Promise} promise A promise to add to the extend lifetime promises
   *     of the event that triggered the request.
   */
  waitUntil(e) {
    return this._extendLifetimePromises.push(e), e;
  }
  /**
   * Returns a promise that resolves once all promises passed to
   * {@link workbox-strategies.StrategyHandler~waitUntil}
   * have settled.
   *
   * Note: any work done after `doneWaiting()` settles should be manually
   * passed to an event's `waitUntil()` method (not this handler's
   * `waitUntil()` method), otherwise the service worker thread my be killed
   * prior to your work completing.
   */
  async doneWaiting() {
    let e;
    for (; e = this._extendLifetimePromises.shift(); )
      await e;
  }
  /**
   * Stops running the strategy and immediately resolves any pending
   * `waitUntil()` promises.
   */
  destroy() {
    this._handlerDeferred.resolve(null);
  }
  /**
   * This method will call cacheWillUpdate on the available plugins (or use
   * status === 200) to determine if the Response is safe and valid to cache.
   *
   * @param {Request} options.request
   * @param {Response} options.response
   * @return {Promise<Response|undefined>}
   *
   * @private
   */
  async _ensureResponseSafeToCache(e) {
    let t = e, n = !1;
    for (const a of this.iterateCallbacks("cacheWillUpdate"))
      if (t = await a({
        request: this.request,
        response: t,
        event: this.event
      }) || void 0, n = !0, !t)
        break;
    return n || t && t.status !== 200 && (t = void 0), t;
  }
}
class U {
  /**
   * Creates a new instance of the strategy and sets all documented option
   * properties as public instance properties.
   *
   * Note: if a custom strategy class extends the base Strategy class and does
   * not need more than these properties, it does not need to define its own
   * constructor.
   *
   * @param {Object} [options]
   * @param {string} [options.cacheName] Cache name to store and retrieve
   * requests. Defaults to the cache names provided by
   * {@link workbox-core.cacheNames}.
   * @param {Array<Object>} [options.plugins] [Plugins]{@link https://developers.google.com/web/tools/workbox/guides/using-plugins}
   * to use in conjunction with this caching strategy.
   * @param {Object} [options.fetchOptions] Values passed along to the
   * [`init`](https://developer.mozilla.org/en-US/docs/Web/API/WindowOrWorkerGlobalScope/fetch#Parameters)
   * of [non-navigation](https://github.com/GoogleChrome/workbox/issues/1796)
   * `fetch()` requests made by this strategy.
   * @param {Object} [options.matchOptions] The
   * [`CacheQueryOptions`]{@link https://w3c.github.io/ServiceWorker/#dictdef-cachequeryoptions}
   * for any `cache.match()` or `cache.put()` calls made by this strategy.
   */
  constructor(e = {}) {
    this.cacheName = E.getRuntimeName(e.cacheName), this.plugins = e.plugins || [], this.fetchOptions = e.fetchOptions, this.matchOptions = e.matchOptions;
  }
  /**
   * Perform a request strategy and returns a `Promise` that will resolve with
   * a `Response`, invoking all relevant plugin callbacks.
   *
   * When a strategy instance is registered with a Workbox
   * {@link workbox-routing.Route}, this method is automatically
   * called when the route matches.
   *
   * Alternatively, this method can be used in a standalone `FetchEvent`
   * listener by passing it to `event.respondWith()`.
   *
   * @param {FetchEvent|Object} options A `FetchEvent` or an object with the
   *     properties listed below.
   * @param {Request|string} options.request A request to run this strategy for.
   * @param {ExtendableEvent} options.event The event associated with the
   *     request.
   * @param {URL} [options.url]
   * @param {*} [options.params]
   */
  handle(e) {
    const [t] = this.handleAll(e);
    return t;
  }
  /**
   * Similar to {@link workbox-strategies.Strategy~handle}, but
   * instead of just returning a `Promise` that resolves to a `Response` it
   * it will return an tuple of `[response, done]` promises, where the former
   * (`response`) is equivalent to what `handle()` returns, and the latter is a
   * Promise that will resolve once any promises that were added to
   * `event.waitUntil()` as part of performing the strategy have completed.
   *
   * You can await the `done` promise to ensure any extra work performed by
   * the strategy (usually caching responses) completes successfully.
   *
   * @param {FetchEvent|Object} options A `FetchEvent` or an object with the
   *     properties listed below.
   * @param {Request|string} options.request A request to run this strategy for.
   * @param {ExtendableEvent} options.event The event associated with the
   *     request.
   * @param {URL} [options.url]
   * @param {*} [options.params]
   * @return {Array<Promise>} A tuple of [response, done]
   *     promises that can be used to determine when the response resolves as
   *     well as when the handler has completed all its work.
   */
  handleAll(e) {
    e instanceof FetchEvent && (e = {
      event: e,
      request: e.request
    });
    const t = e.event, n = typeof e.request == "string" ? new Request(e.request) : e.request, a = "params" in e ? e.params : void 0, i = new re(this, { event: t, request: n, params: a }), r = this._getResponse(i, n, t), c = this._awaitComplete(r, i, n, t);
    return [r, c];
  }
  async _getResponse(e, t, n) {
    await e.runCallbacks("handlerWillStart", { event: n, request: t });
    let a;
    try {
      if (a = await this._handle(t, e), !a || a.type === "error")
        throw new h("no-response", { url: t.url });
    } catch (i) {
      if (i instanceof Error) {
        for (const r of e.iterateCallbacks("handlerDidError"))
          if (a = await r({ error: i, event: n, request: t }), a)
            break;
      }
      if (!a)
        throw i;
    }
    for (const i of e.iterateCallbacks("handlerWillRespond"))
      a = await i({ event: n, request: t, response: a });
    return a;
  }
  async _awaitComplete(e, t, n, a) {
    let i, r;
    try {
      i = await e;
    } catch {
    }
    try {
      await t.runCallbacks("handlerDidRespond", {
        event: a,
        request: n,
        response: i
      }), await t.doneWaiting();
    } catch (c) {
      c instanceof Error && (r = c);
    }
    if (await t.runCallbacks("handlerDidComplete", {
      event: a,
      request: n,
      response: i,
      error: r
    }), t.destroy(), r)
      throw r;
  }
}
class ce extends U {
  /**
   * @private
   * @param {Request|string} request A request to run this strategy for.
   * @param {workbox-strategies.StrategyHandler} handler The event that
   *     triggered the request.
   * @return {Promise<Response>}
   */
  async _handle(e, t) {
    let n = await t.cacheMatch(e), a;
    if (!n)
      try {
        n = await t.fetchAndCachePut(e);
      } catch (i) {
        i instanceof Error && (a = i);
      }
    if (!n)
      throw new h("no-response", { url: e.url, error: a });
    return n;
  }
}
const q = {
  /**
   * Returns a valid response (to allow caching) if the status is 200 (OK) or
   * 0 (opaque).
   *
   * @param {Object} options
   * @param {Response} options.response
   * @return {Response|null}
   *
   * @private
   */
  cacheWillUpdate: async ({ response: s }) => s.status === 200 || s.status === 0 ? s : null
};
class oe extends U {
  /**
   * @param {Object} [options]
   * @param {string} [options.cacheName] Cache name to store and retrieve
   * requests. Defaults to cache names provided by
   * {@link workbox-core.cacheNames}.
   * @param {Array<Object>} [options.plugins] [Plugins]{@link https://developers.google.com/web/tools/workbox/guides/using-plugins}
   * to use in conjunction with this caching strategy.
   * @param {Object} [options.fetchOptions] Values passed along to the
   * [`init`](https://developer.mozilla.org/en-US/docs/Web/API/WindowOrWorkerGlobalScope/fetch#Parameters)
   * of [non-navigation](https://github.com/GoogleChrome/workbox/issues/1796)
   * `fetch()` requests made by this strategy.
   * @param {Object} [options.matchOptions] [`CacheQueryOptions`](https://w3c.github.io/ServiceWorker/#dictdef-cachequeryoptions)
   * @param {number} [options.networkTimeoutSeconds] If set, any network requests
   * that fail to respond within the timeout will fallback to the cache.
   *
   * This option can be used to combat
   * "[lie-fi]{@link https://developers.google.com/web/fundamentals/performance/poor-connectivity/#lie-fi}"
   * scenarios.
   */
  constructor(e = {}) {
    super(e), this.plugins.some((t) => "cacheWillUpdate" in t) || this.plugins.unshift(q), this._networkTimeoutSeconds = e.networkTimeoutSeconds || 0;
  }
  /**
   * @private
   * @param {Request|string} request A request to run this strategy for.
   * @param {workbox-strategies.StrategyHandler} handler The event that
   *     triggered the request.
   * @return {Promise<Response>}
   */
  async _handle(e, t) {
    const n = [], a = [];
    let i;
    if (this._networkTimeoutSeconds) {
      const { id: o, promise: l } = this._getTimeoutPromise({ request: e, logs: n, handler: t });
      i = o, a.push(l);
    }
    const r = this._getNetworkPromise({
      timeoutId: i,
      request: e,
      logs: n,
      handler: t
    });
    a.push(r);
    const c = await t.waitUntil((async () => await t.waitUntil(Promise.race(a)) || // If Promise.race() resolved with null, it might be due to a network
    // timeout + a cache miss. If that were to happen, we'd rather wait until
    // the networkPromise resolves instead of returning null.
    // Note that it's fine to await an already-resolved promise, so we don't
    // have to check to see if it's still "in flight".
    await r)());
    if (!c)
      throw new h("no-response", { url: e.url });
    return c;
  }
  /**
   * @param {Object} options
   * @param {Request} options.request
   * @param {Array} options.logs A reference to the logs array
   * @param {Event} options.event
   * @return {Promise<Response>}
   *
   * @private
   */
  _getTimeoutPromise({ request: e, logs: t, handler: n }) {
    let a;
    return {
      promise: new Promise((r) => {
        a = setTimeout(async () => {
          r(await n.cacheMatch(e));
        }, this._networkTimeoutSeconds * 1e3);
      }),
      id: a
    };
  }
  /**
   * @param {Object} options
   * @param {number|undefined} options.timeoutId
   * @param {Request} options.request
   * @param {Array} options.logs A reference to the logs Array.
   * @param {Event} options.event
   * @return {Promise<Response>}
   *
   * @private
   */
  async _getNetworkPromise({ timeoutId: e, request: t, logs: n, handler: a }) {
    let i, r;
    try {
      r = await a.fetchAndCachePut(t);
    } catch (c) {
      c instanceof Error && (i = c);
    }
    return e && clearTimeout(e), (i || !r) && (r = await a.cacheMatch(t)), r;
  }
}
class le extends U {
  /**
   * @param {Object} [options]
   * @param {string} [options.cacheName] Cache name to store and retrieve
   * requests. Defaults to cache names provided by
   * {@link workbox-core.cacheNames}.
   * @param {Array<Object>} [options.plugins] [Plugins]{@link https://developers.google.com/web/tools/workbox/guides/using-plugins}
   * to use in conjunction with this caching strategy.
   * @param {Object} [options.fetchOptions] Values passed along to the
   * [`init`](https://developer.mozilla.org/en-US/docs/Web/API/WindowOrWorkerGlobalScope/fetch#Parameters)
   * of [non-navigation](https://github.com/GoogleChrome/workbox/issues/1796)
   * `fetch()` requests made by this strategy.
   * @param {Object} [options.matchOptions] [`CacheQueryOptions`](https://w3c.github.io/ServiceWorker/#dictdef-cachequeryoptions)
   */
  constructor(e = {}) {
    super(e), this.plugins.some((t) => "cacheWillUpdate" in t) || this.plugins.unshift(q);
  }
  /**
   * @private
   * @param {Request|string} request A request to run this strategy for.
   * @param {workbox-strategies.StrategyHandler} handler The event that
   *     triggered the request.
   * @return {Promise<Response>}
   */
  async _handle(e, t) {
    const n = t.fetchAndCachePut(e).catch(() => {
    });
    t.waitUntil(n);
    let a = await t.cacheMatch(e), i;
    if (!a)
      try {
        a = await n;
      } catch (r) {
        r instanceof Error && (i = r);
      }
    if (!a)
      throw new h("no-response", { url: e.url, error: i });
    return a;
  }
}
try {
  self["workbox:cacheable-response:7.0.0"] && _();
} catch {
}
class he {
  /**
   * To construct a new CacheableResponse instance you must provide at least
   * one of the `config` properties.
   *
   * If both `statuses` and `headers` are specified, then both conditions must
   * be met for the `Response` to be considered cacheable.
   *
   * @param {Object} config
   * @param {Array<number>} [config.statuses] One or more status codes that a
   * `Response` can have and be considered cacheable.
   * @param {Object<string,string>} [config.headers] A mapping of header names
   * and expected values that a `Response` can have and be considered cacheable.
   * If multiple headers are provided, only one needs to be present.
   */
  constructor(e = {}) {
    this._statuses = e.statuses, this._headers = e.headers;
  }
  /**
   * Checks a response to see whether it's cacheable or not, based on this
   * object's configuration.
   *
   * @param {Response} response The response whose cacheability is being
   * checked.
   * @return {boolean} `true` if the `Response` is cacheable, and `false`
   * otherwise.
   */
  isResponseCacheable(e) {
    let t = !0;
    return this._statuses && (t = this._statuses.includes(e.status)), this._headers && t && (t = Object.keys(this._headers).some((n) => e.headers.get(n) === this._headers[n])), t;
  }
}
class I {
  /**
   * To construct a new CacheableResponsePlugin instance you must provide at
   * least one of the `config` properties.
   *
   * If both `statuses` and `headers` are specified, then both conditions must
   * be met for the `Response` to be considered cacheable.
   *
   * @param {Object} config
   * @param {Array<number>} [config.statuses] One or more status codes that a
   * `Response` can have and be considered cacheable.
   * @param {Object<string,string>} [config.headers] A mapping of header names
   * and expected values that a `Response` can have and be considered cacheable.
   * If multiple headers are provided, only one needs to be present.
   */
  constructor(e) {
    this.cacheWillUpdate = async ({ response: t }) => this._cacheableResponse.isResponseCacheable(t) ? t : null, this._cacheableResponse = new he(e);
  }
}
function V(s) {
  s.then(() => {
  });
}
const ue = (s, e) => e.some((t) => s instanceof t);
let O, v;
function de() {
  return O || (O = [
    IDBDatabase,
    IDBObjectStore,
    IDBIndex,
    IDBCursor,
    IDBTransaction
  ]);
}
function fe() {
  return v || (v = [
    IDBCursor.prototype.advance,
    IDBCursor.prototype.continue,
    IDBCursor.prototype.continuePrimaryKey
  ]);
}
const $ = /* @__PURE__ */ new WeakMap(), M = /* @__PURE__ */ new WeakMap(), Q = /* @__PURE__ */ new WeakMap(), D = /* @__PURE__ */ new WeakMap(), A = /* @__PURE__ */ new WeakMap();
function pe(s) {
  const e = new Promise((t, n) => {
    const a = () => {
      s.removeEventListener("success", i), s.removeEventListener("error", r);
    }, i = () => {
      t(f(s.result)), a();
    }, r = () => {
      n(s.error), a();
    };
    s.addEventListener("success", i), s.addEventListener("error", r);
  });
  return e.then((t) => {
    t instanceof IDBCursor && $.set(t, s);
  }).catch(() => {
  }), A.set(e, s), e;
}
function ge(s) {
  if (M.has(s))
    return;
  const e = new Promise((t, n) => {
    const a = () => {
      s.removeEventListener("complete", i), s.removeEventListener("error", r), s.removeEventListener("abort", r);
    }, i = () => {
      t(), a();
    }, r = () => {
      n(s.error || new DOMException("AbortError", "AbortError")), a();
    };
    s.addEventListener("complete", i), s.addEventListener("error", r), s.addEventListener("abort", r);
  });
  M.set(s, e);
}
let N = {
  get(s, e, t) {
    if (s instanceof IDBTransaction) {
      if (e === "done")
        return M.get(s);
      if (e === "objectStoreNames")
        return s.objectStoreNames || Q.get(s);
      if (e === "store")
        return t.objectStoreNames[1] ? void 0 : t.objectStore(t.objectStoreNames[0]);
    }
    return f(s[e]);
  },
  set(s, e, t) {
    return s[e] = t, !0;
  },
  has(s, e) {
    return s instanceof IDBTransaction && (e === "done" || e === "store") ? !0 : e in s;
  }
};
function we(s) {
  N = s(N);
}
function me(s) {
  return s === IDBDatabase.prototype.transaction && !("objectStoreNames" in IDBTransaction.prototype) ? function(e, ...t) {
    const n = s.call(L(this), e, ...t);
    return Q.set(n, e.sort ? e.sort() : [e]), f(n);
  } : fe().includes(s) ? function(...e) {
    return s.apply(L(this), e), f($.get(this));
  } : function(...e) {
    return f(s.apply(L(this), e));
  };
}
function ye(s) {
  return typeof s == "function" ? me(s) : (s instanceof IDBTransaction && ge(s), ue(s, de()) ? new Proxy(s, N) : s);
}
function f(s) {
  if (s instanceof IDBRequest)
    return pe(s);
  if (D.has(s))
    return D.get(s);
  const e = ye(s);
  return e !== s && (D.set(s, e), A.set(e, s)), e;
}
const L = (s) => A.get(s);
function _e(s, e, { blocked: t, upgrade: n, blocking: a, terminated: i } = {}) {
  const r = indexedDB.open(s, e), c = f(r);
  return n && r.addEventListener("upgradeneeded", (o) => {
    n(f(r.result), o.oldVersion, o.newVersion, f(r.transaction), o);
  }), t && r.addEventListener("blocked", (o) => t(
    // Casting due to https://github.com/microsoft/TypeScript-DOM-lib-generator/pull/1405
    o.oldVersion,
    o.newVersion,
    o
  )), c.then((o) => {
    i && o.addEventListener("close", () => i()), a && o.addEventListener("versionchange", (l) => a(l.oldVersion, l.newVersion, l));
  }).catch(() => {
  }), c;
}
function be(s, { blocked: e } = {}) {
  const t = indexedDB.deleteDatabase(s);
  return e && t.addEventListener("blocked", (n) => e(
    // Casting due to https://github.com/microsoft/TypeScript-DOM-lib-generator/pull/1405
    n.oldVersion,
    n
  )), f(t).then(() => {
  });
}
const Re = ["get", "getKey", "getAll", "getAllKeys", "count"], Ce = ["put", "add", "delete", "clear"], P = /* @__PURE__ */ new Map();
function W(s, e) {
  if (!(s instanceof IDBDatabase && !(e in s) && typeof e == "string"))
    return;
  if (P.get(e))
    return P.get(e);
  const t = e.replace(/FromIndex$/, ""), n = e !== t, a = Ce.includes(t);
  if (
    // Bail if the target doesn't exist on the target. Eg, getAll isn't in Edge.
    !(t in (n ? IDBIndex : IDBObjectStore).prototype) || !(a || Re.includes(t))
  )
    return;
  const i = async function(r, ...c) {
    const o = this.transaction(r, a ? "readwrite" : "readonly");
    let l = o.store;
    return n && (l = l.index(c.shift())), (await Promise.all([
      l[t](...c),
      a && o.done
    ]))[0];
  };
  return P.set(e, i), i;
}
we((s) => ({
  ...s,
  get: (e, t, n) => W(e, t) || s.get(e, t, n),
  has: (e, t) => !!W(e, t) || s.has(e, t)
}));
try {
  self["workbox:expiration:7.0.0"] && _();
} catch {
}
const xe = "workbox-expiration", m = "cache-entries", B = (s) => {
  const e = new URL(s, location.href);
  return e.hash = "", e.href;
};
class Ee {
  /**
   *
   * @param {string} cacheName
   *
   * @private
   */
  constructor(e) {
    this._db = null, this._cacheName = e;
  }
  /**
   * Performs an upgrade of indexedDB.
   *
   * @param {IDBPDatabase<CacheDbSchema>} db
   *
   * @private
   */
  _upgradeDb(e) {
    const t = e.createObjectStore(m, { keyPath: "id" });
    t.createIndex("cacheName", "cacheName", { unique: !1 }), t.createIndex("timestamp", "timestamp", { unique: !1 });
  }
  /**
   * Performs an upgrade of indexedDB and deletes deprecated DBs.
   *
   * @param {IDBPDatabase<CacheDbSchema>} db
   *
   * @private
   */
  _upgradeDbAndDeleteOldDbs(e) {
    this._upgradeDb(e), this._cacheName && be(this._cacheName);
  }
  /**
   * @param {string} url
   * @param {number} timestamp
   *
   * @private
   */
  async setTimestamp(e, t) {
    e = B(e);
    const n = {
      url: e,
      timestamp: t,
      cacheName: this._cacheName,
      // Creating an ID from the URL and cache name won't be necessary once
      // Edge switches to Chromium and all browsers we support work with
      // array keyPaths.
      id: this._getId(e)
    }, i = (await this.getDb()).transaction(m, "readwrite", {
      durability: "relaxed"
    });
    await i.store.put(n), await i.done;
  }
  /**
   * Returns the timestamp stored for a given URL.
   *
   * @param {string} url
   * @return {number | undefined}
   *
   * @private
   */
  async getTimestamp(e) {
    const n = await (await this.getDb()).get(m, this._getId(e));
    return n == null ? void 0 : n.timestamp;
  }
  /**
   * Iterates through all the entries in the object store (from newest to
   * oldest) and removes entries once either `maxCount` is reached or the
   * entry's timestamp is less than `minTimestamp`.
   *
   * @param {number} minTimestamp
   * @param {number} maxCount
   * @return {Array<string>}
   *
   * @private
   */
  async expireEntries(e, t) {
    const n = await this.getDb();
    let a = await n.transaction(m).store.index("timestamp").openCursor(null, "prev");
    const i = [];
    let r = 0;
    for (; a; ) {
      const o = a.value;
      o.cacheName === this._cacheName && (e && o.timestamp < e || t && r >= t ? i.push(a.value) : r++), a = await a.continue();
    }
    const c = [];
    for (const o of i)
      await n.delete(m, o.id), c.push(o.url);
    return c;
  }
  /**
   * Takes a URL and returns an ID that will be unique in the object store.
   *
   * @param {string} url
   * @return {string}
   *
   * @private
   */
  _getId(e) {
    return this._cacheName + "|" + B(e);
  }
  /**
   * Returns an open connection to the database.
   *
   * @private
   */
  async getDb() {
    return this._db || (this._db = await _e(xe, 1, {
      upgrade: this._upgradeDbAndDeleteOldDbs.bind(this)
    })), this._db;
  }
}
class Ue {
  /**
   * To construct a new CacheExpiration instance you must provide at least
   * one of the `config` properties.
   *
   * @param {string} cacheName Name of the cache to apply restrictions to.
   * @param {Object} config
   * @param {number} [config.maxEntries] The maximum number of entries to cache.
   * Entries used the least will be removed as the maximum is reached.
   * @param {number} [config.maxAgeSeconds] The maximum age of an entry before
   * it's treated as stale and removed.
   * @param {Object} [config.matchOptions] The [`CacheQueryOptions`](https://developer.mozilla.org/en-US/docs/Web/API/Cache/delete#Parameters)
   * that will be used when calling `delete()` on the cache.
   */
  constructor(e, t = {}) {
    this._isRunning = !1, this._rerunRequested = !1, this._maxEntries = t.maxEntries, this._maxAgeSeconds = t.maxAgeSeconds, this._matchOptions = t.matchOptions, this._cacheName = e, this._timestampModel = new Ee(e);
  }
  /**
   * Expires entries for the given cache and given criteria.
   */
  async expireEntries() {
    if (this._isRunning) {
      this._rerunRequested = !0;
      return;
    }
    this._isRunning = !0;
    const e = this._maxAgeSeconds ? Date.now() - this._maxAgeSeconds * 1e3 : 0, t = await this._timestampModel.expireEntries(e, this._maxEntries), n = await self.caches.open(this._cacheName);
    for (const a of t)
      await n.delete(a, this._matchOptions);
    this._isRunning = !1, this._rerunRequested && (this._rerunRequested = !1, V(this.expireEntries()));
  }
  /**
   * Update the timestamp for the given URL. This ensures the when
   * removing entries based on maximum entries, most recently used
   * is accurate or when expiring, the timestamp is up-to-date.
   *
   * @param {string} url
   */
  async updateTimestamp(e) {
    await this._timestampModel.setTimestamp(e, Date.now());
  }
  /**
   * Can be used to check if a URL has expired or not before it's used.
   *
   * This requires a look up from IndexedDB, so can be slow.
   *
   * Note: This method will not remove the cached entry, call
   * `expireEntries()` to remove indexedDB and Cache entries.
   *
   * @param {string} url
   * @return {boolean}
   */
  async isURLExpired(e) {
    if (this._maxAgeSeconds) {
      const t = await this._timestampModel.getTimestamp(e), n = Date.now() - this._maxAgeSeconds * 1e3;
      return t !== void 0 ? t < n : !0;
    } else
      return !1;
  }
  /**
   * Removes the IndexedDB object store used to keep track of cache expiration
   * metadata.
   */
  async delete() {
    this._rerunRequested = !1, await this._timestampModel.expireEntries(1 / 0);
  }
}
function ke(s) {
  H.add(s);
}
class De {
  /**
   * @param {ExpirationPluginOptions} config
   * @param {number} [config.maxEntries] The maximum number of entries to cache.
   * Entries used the least will be removed as the maximum is reached.
   * @param {number} [config.maxAgeSeconds] The maximum age of an entry before
   * it's treated as stale and removed.
   * @param {Object} [config.matchOptions] The [`CacheQueryOptions`](https://developer.mozilla.org/en-US/docs/Web/API/Cache/delete#Parameters)
   * that will be used when calling `delete()` on the cache.
   * @param {boolean} [config.purgeOnQuotaError] Whether to opt this cache in to
   * automatic deletion if the available storage quota has been exceeded.
   */
  constructor(e = {}) {
    this.cachedResponseWillBeUsed = async ({ event: t, request: n, cacheName: a, cachedResponse: i }) => {
      if (!i)
        return null;
      const r = this._isResponseDateFresh(i), c = this._getCacheExpiration(a);
      V(c.expireEntries());
      const o = c.updateTimestamp(n.url);
      if (t)
        try {
          t.waitUntil(o);
        } catch {
        }
      return r ? i : null;
    }, this.cacheDidUpdate = async ({ cacheName: t, request: n }) => {
      const a = this._getCacheExpiration(t);
      await a.updateTimestamp(n.url), await a.expireEntries();
    }, this._config = e, this._maxAgeSeconds = e.maxAgeSeconds, this._cacheExpirations = /* @__PURE__ */ new Map(), e.purgeOnQuotaError && ke(() => this.deleteCacheAndMetadata());
  }
  /**
   * A simple helper method to return a CacheExpiration instance for a given
   * cache name.
   *
   * @param {string} cacheName
   * @return {CacheExpiration}
   *
   * @private
   */
  _getCacheExpiration(e) {
    if (e === E.getRuntimeName())
      throw new h("expire-custom-caches-only");
    let t = this._cacheExpirations.get(e);
    return t || (t = new Ue(e, this._config), this._cacheExpirations.set(e, t)), t;
  }
  /**
   * @param {Response} cachedResponse
   * @return {boolean}
   *
   * @private
   */
  _isResponseDateFresh(e) {
    if (!this._maxAgeSeconds)
      return !0;
    const t = this._getDateHeaderTimestamp(e);
    if (t === null)
      return !0;
    const n = Date.now();
    return t >= n - this._maxAgeSeconds * 1e3;
  }
  /**
   * This method will extract the data header and parse it into a useful
   * value.
   *
   * @param {Response} cachedResponse
   * @return {number|null}
   *
   * @private
   */
  _getDateHeaderTimestamp(e) {
    if (!e.headers.has("date"))
      return null;
    const t = e.headers.get("date"), a = new Date(t).getTime();
    return isNaN(a) ? null : a;
  }
  /**
   * This is a helper method that performs two operations:
   *
   * - Deletes *all* the underlying Cache instances associated with this plugin
   * instance, by calling caches.delete() on your behalf.
   * - Deletes the metadata from IndexedDB used to keep track of expiration
   * details for each Cache instance.
   *
   * When using cache expiration, calling this method is preferable to calling
   * `caches.delete()` directly, since this will ensure that the IndexedDB
   * metadata is also cleanly removed and open IndexedDB instances are deleted.
   *
   * Note that if you're *not* using cache expiration for a given cache, calling
   * `caches.delete()` and passing in the cache's name should be sufficient.
   * There is no Workbox-specific method needed for cleanup in that case.
   */
  async deleteCacheAndMetadata() {
    for (const [e, t] of this._cacheExpirations)
      await self.caches.delete(e), await t.delete();
    this._cacheExpirations = /* @__PURE__ */ new Map();
  }
}
function j(s, e) {
  const t = e();
  return s.waitUntil(t), t;
}
try {
  self["workbox:precaching:7.0.0"] && _();
} catch {
}
const Le = "__WB_REVISION__";
function Pe(s) {
  if (!s)
    throw new h("add-to-cache-list-unexpected-type", { entry: s });
  if (typeof s == "string") {
    const i = new URL(s, location.href);
    return {
      cacheKey: i.href,
      url: i.href
    };
  }
  const { revision: e, url: t } = s;
  if (!t)
    throw new h("add-to-cache-list-unexpected-type", { entry: s });
  if (!e) {
    const i = new URL(t, location.href);
    return {
      cacheKey: i.href,
      url: i.href
    };
  }
  const n = new URL(t, location.href), a = new URL(t, location.href);
  return n.searchParams.set(Le, e), {
    cacheKey: n.href,
    url: a.href
  };
}
class Te {
  constructor() {
    this.updatedURLs = [], this.notUpdatedURLs = [], this.handlerWillStart = async ({ request: e, state: t }) => {
      t && (t.originalRequest = e);
    }, this.cachedResponseWillBeUsed = async ({ event: e, state: t, cachedResponse: n }) => {
      if (e.type === "install" && t && t.originalRequest && t.originalRequest instanceof Request) {
        const a = t.originalRequest.url;
        n ? this.notUpdatedURLs.push(a) : this.updatedURLs.push(a);
      }
      return n;
    };
  }
}
class Me {
  constructor({ precacheController: e }) {
    this.cacheKeyWillBeUsed = async ({ request: t, params: n }) => {
      const a = (n == null ? void 0 : n.cacheKey) || this._precacheController.getCacheKeyForURL(t.url);
      return a ? new Request(a, { headers: t.headers }) : t;
    }, this._precacheController = e;
  }
}
let y;
function Ne() {
  if (y === void 0) {
    const s = new Response("");
    if ("body" in s)
      try {
        new Response(s.body), y = !0;
      } catch {
        y = !1;
      }
    y = !1;
  }
  return y;
}
async function Ie(s, e) {
  let t = null;
  if (s.url && (t = new URL(s.url).origin), t !== self.location.origin)
    throw new h("cross-origin-copy-response", { origin: t });
  const n = s.clone(), a = {
    headers: new Headers(n.headers),
    status: n.status,
    statusText: n.statusText
  }, i = e ? e(a) : a, r = Ne() ? n.body : await n.blob();
  return new Response(r, i);
}
class p extends U {
  /**
   *
   * @param {Object} [options]
   * @param {string} [options.cacheName] Cache name to store and retrieve
   * requests. Defaults to the cache names provided by
   * {@link workbox-core.cacheNames}.
   * @param {Array<Object>} [options.plugins] {@link https://developers.google.com/web/tools/workbox/guides/using-plugins|Plugins}
   * to use in conjunction with this caching strategy.
   * @param {Object} [options.fetchOptions] Values passed along to the
   * {@link https://developer.mozilla.org/en-US/docs/Web/API/WindowOrWorkerGlobalScope/fetch#Parameters|init}
   * of all fetch() requests made by this strategy.
   * @param {Object} [options.matchOptions] The
   * {@link https://w3c.github.io/ServiceWorker/#dictdef-cachequeryoptions|CacheQueryOptions}
   * for any `cache.match()` or `cache.put()` calls made by this strategy.
   * @param {boolean} [options.fallbackToNetwork=true] Whether to attempt to
   * get the response from the network if there's a precache miss.
   */
  constructor(e = {}) {
    e.cacheName = E.getPrecacheName(e.cacheName), super(e), this._fallbackToNetwork = e.fallbackToNetwork !== !1, this.plugins.push(p.copyRedirectedCacheableResponsesPlugin);
  }
  /**
   * @private
   * @param {Request|string} request A request to run this strategy for.
   * @param {workbox-strategies.StrategyHandler} handler The event that
   *     triggered the request.
   * @return {Promise<Response>}
   */
  async _handle(e, t) {
    const n = await t.cacheMatch(e);
    return n || (t.event && t.event.type === "install" ? await this._handleInstall(e, t) : await this._handleFetch(e, t));
  }
  async _handleFetch(e, t) {
    let n;
    const a = t.params || {};
    if (this._fallbackToNetwork) {
      const i = a.integrity, r = e.integrity, c = !r || r === i;
      n = await t.fetch(new Request(e, {
        integrity: e.mode !== "no-cors" ? r || i : void 0
      })), i && c && e.mode !== "no-cors" && (this._useDefaultCacheabilityPluginIfNeeded(), await t.cachePut(e, n.clone()));
    } else
      throw new h("missing-precache-entry", {
        cacheName: this.cacheName,
        url: e.url
      });
    return n;
  }
  async _handleInstall(e, t) {
    this._useDefaultCacheabilityPluginIfNeeded();
    const n = await t.fetch(e);
    if (!await t.cachePut(e, n.clone()))
      throw new h("bad-precaching-response", {
        url: e.url,
        status: n.status
      });
    return n;
  }
  /**
   * This method is complex, as there a number of things to account for:
   *
   * The `plugins` array can be set at construction, and/or it might be added to
   * to at any time before the strategy is used.
   *
   * At the time the strategy is used (i.e. during an `install` event), there
   * needs to be at least one plugin that implements `cacheWillUpdate` in the
   * array, other than `copyRedirectedCacheableResponsesPlugin`.
   *
   * - If this method is called and there are no suitable `cacheWillUpdate`
   * plugins, we need to add `defaultPrecacheCacheabilityPlugin`.
   *
   * - If this method is called and there is exactly one `cacheWillUpdate`, then
   * we don't have to do anything (this might be a previously added
   * `defaultPrecacheCacheabilityPlugin`, or it might be a custom plugin).
   *
   * - If this method is called and there is more than one `cacheWillUpdate`,
   * then we need to check if one is `defaultPrecacheCacheabilityPlugin`. If so,
   * we need to remove it. (This situation is unlikely, but it could happen if
   * the strategy is used multiple times, the first without a `cacheWillUpdate`,
   * and then later on after manually adding a custom `cacheWillUpdate`.)
   *
   * See https://github.com/GoogleChrome/workbox/issues/2737 for more context.
   *
   * @private
   */
  _useDefaultCacheabilityPluginIfNeeded() {
    let e = null, t = 0;
    for (const [n, a] of this.plugins.entries())
      a !== p.copyRedirectedCacheableResponsesPlugin && (a === p.defaultPrecacheCacheabilityPlugin && (e = n), a.cacheWillUpdate && t++);
    t === 0 ? this.plugins.push(p.defaultPrecacheCacheabilityPlugin) : t > 1 && e !== null && this.plugins.splice(e, 1);
  }
}
p.defaultPrecacheCacheabilityPlugin = {
  async cacheWillUpdate({ response: s }) {
    return !s || s.status >= 400 ? null : s;
  }
};
p.copyRedirectedCacheableResponsesPlugin = {
  async cacheWillUpdate({ response: s }) {
    return s.redirected ? await Ie(s) : s;
  }
};
class Ae {
  /**
   * Create a new PrecacheController.
   *
   * @param {Object} [options]
   * @param {string} [options.cacheName] The cache to use for precaching.
   * @param {string} [options.plugins] Plugins to use when precaching as well
   * as responding to fetch events for precached assets.
   * @param {boolean} [options.fallbackToNetwork=true] Whether to attempt to
   * get the response from the network if there's a precache miss.
   */
  constructor({ cacheName: e, plugins: t = [], fallbackToNetwork: n = !0 } = {}) {
    this._urlsToCacheKeys = /* @__PURE__ */ new Map(), this._urlsToCacheModes = /* @__PURE__ */ new Map(), this._cacheKeysToIntegrities = /* @__PURE__ */ new Map(), this._strategy = new p({
      cacheName: E.getPrecacheName(e),
      plugins: [
        ...t,
        new Me({ precacheController: this })
      ],
      fallbackToNetwork: n
    }), this.install = this.install.bind(this), this.activate = this.activate.bind(this);
  }
  /**
   * @type {workbox-precaching.PrecacheStrategy} The strategy created by this controller and
   * used to cache assets and respond to fetch events.
   */
  get strategy() {
    return this._strategy;
  }
  /**
   * Adds items to the precache list, removing any duplicates and
   * stores the files in the
   * {@link workbox-core.cacheNames|"precache cache"} when the service
   * worker installs.
   *
   * This method can be called multiple times.
   *
   * @param {Array<Object|string>} [entries=[]] Array of entries to precache.
   */
  precache(e) {
    this.addToCacheList(e), this._installAndActiveListenersAdded || (self.addEventListener("install", this.install), self.addEventListener("activate", this.activate), this._installAndActiveListenersAdded = !0);
  }
  /**
   * This method will add items to the precache list, removing duplicates
   * and ensuring the information is valid.
   *
   * @param {Array<workbox-precaching.PrecacheController.PrecacheEntry|string>} entries
   *     Array of entries to precache.
   */
  addToCacheList(e) {
    const t = [];
    for (const n of e) {
      typeof n == "string" ? t.push(n) : n && n.revision === void 0 && t.push(n.url);
      const { cacheKey: a, url: i } = Pe(n), r = typeof n != "string" && n.revision ? "reload" : "default";
      if (this._urlsToCacheKeys.has(i) && this._urlsToCacheKeys.get(i) !== a)
        throw new h("add-to-cache-list-conflicting-entries", {
          firstEntry: this._urlsToCacheKeys.get(i),
          secondEntry: a
        });
      if (typeof n != "string" && n.integrity) {
        if (this._cacheKeysToIntegrities.has(a) && this._cacheKeysToIntegrities.get(a) !== n.integrity)
          throw new h("add-to-cache-list-conflicting-integrities", {
            url: i
          });
        this._cacheKeysToIntegrities.set(a, n.integrity);
      }
      if (this._urlsToCacheKeys.set(i, a), this._urlsToCacheModes.set(i, r), t.length > 0) {
        const c = `Workbox is precaching URLs without revision info: ${t.join(", ")}
This is generally NOT safe. Learn more at https://bit.ly/wb-precache`;
        console.warn(c);
      }
    }
  }
  /**
   * Precaches new and updated assets. Call this method from the service worker
   * install event.
   *
   * Note: this method calls `event.waitUntil()` for you, so you do not need
   * to call it yourself in your event handlers.
   *
   * @param {ExtendableEvent} event
   * @return {Promise<workbox-precaching.InstallResult>}
   */
  install(e) {
    return j(e, async () => {
      const t = new Te();
      this.strategy.plugins.push(t);
      for (const [i, r] of this._urlsToCacheKeys) {
        const c = this._cacheKeysToIntegrities.get(r), o = this._urlsToCacheModes.get(i), l = new Request(i, {
          integrity: c,
          cache: o,
          credentials: "same-origin"
        });
        await Promise.all(this.strategy.handleAll({
          params: { cacheKey: r },
          request: l,
          event: e
        }));
      }
      const { updatedURLs: n, notUpdatedURLs: a } = t;
      return { updatedURLs: n, notUpdatedURLs: a };
    });
  }
  /**
   * Deletes assets that are no longer present in the current precache manifest.
   * Call this method from the service worker activate event.
   *
   * Note: this method calls `event.waitUntil()` for you, so you do not need
   * to call it yourself in your event handlers.
   *
   * @param {ExtendableEvent} event
   * @return {Promise<workbox-precaching.CleanupResult>}
   */
  activate(e) {
    return j(e, async () => {
      const t = await self.caches.open(this.strategy.cacheName), n = await t.keys(), a = new Set(this._urlsToCacheKeys.values()), i = [];
      for (const r of n)
        a.has(r.url) || (await t.delete(r), i.push(r.url));
      return { deletedURLs: i };
    });
  }
  /**
   * Returns a mapping of a precached URL to the corresponding cache key, taking
   * into account the revision information for the URL.
   *
   * @return {Map<string, string>} A URL to cache key mapping.
   */
  getURLsToCacheKeys() {
    return this._urlsToCacheKeys;
  }
  /**
   * Returns a list of all the URLs that have been precached by the current
   * service worker.
   *
   * @return {Array<string>} The precached URLs.
   */
  getCachedURLs() {
    return [...this._urlsToCacheKeys.keys()];
  }
  /**
   * Returns the cache key used for storing a given URL. If that URL is
   * unversioned, like `/index.html', then the cache key will be the original
   * URL with a search parameter appended to it.
   *
   * @param {string} url A URL whose cache key you want to look up.
   * @return {string} The versioned URL that corresponds to a cache key
   * for the original URL, or undefined if that URL isn't precached.
   */
  getCacheKeyForURL(e) {
    const t = new URL(e, location.href);
    return this._urlsToCacheKeys.get(t.href);
  }
  /**
   * @param {string} url A cache key whose SRI you want to look up.
   * @return {string} The subresource integrity associated with the cache key,
   * or undefined if it's not set.
   */
  getIntegrityForCacheKey(e) {
    return this._cacheKeysToIntegrities.get(e);
  }
  /**
   * This acts as a drop-in replacement for
   * [`cache.match()`](https://developer.mozilla.org/en-US/docs/Web/API/Cache/match)
   * with the following differences:
   *
   * - It knows what the name of the precache is, and only checks in that cache.
   * - It allows you to pass in an "original" URL without versioning parameters,
   * and it will automatically look up the correct cache key for the currently
   * active revision of that URL.
   *
   * E.g., `matchPrecache('index.html')` will find the correct precached
   * response for the currently active service worker, even if the actual cache
   * key is `'/index.html?__WB_REVISION__=1234abcd'`.
   *
   * @param {string|Request} request The key (without revisioning parameters)
   * to look up in the precache.
   * @return {Promise<Response|undefined>}
   */
  async matchPrecache(e) {
    const t = e instanceof Request ? e.url : e, n = this.getCacheKeyForURL(t);
    if (n)
      return (await self.caches.open(this.strategy.cacheName)).match(n);
  }
  /**
   * Returns a function that looks up `url` in the precache (taking into
   * account revision information), and returns the corresponding `Response`.
   *
   * @param {string} url The precached URL which will be used to lookup the
   * `Response`.
   * @return {workbox-routing~handlerCallback}
   */
  createHandlerBoundToURL(e) {
    const t = this.getCacheKeyForURL(e);
    if (!t)
      throw new h("non-precached-url", { url: e });
    return (n) => (n.request = new Request(e), n.params = Object.assign({ cacheKey: t }, n.params), this.strategy.handle(n));
  }
}
let T;
const G = () => (T || (T = new Ae()), T);
function Ke(s, e = []) {
  for (const t of [...s.searchParams.keys()])
    e.some((n) => n.test(t)) && s.searchParams.delete(t);
  return s;
}
function* Se(s, { ignoreURLParametersMatching: e = [/^utm_/, /^fbclid$/], directoryIndex: t = "index.html", cleanURLs: n = !0, urlManipulation: a } = {}) {
  const i = new URL(s, location.href);
  i.hash = "", yield i.href;
  const r = Ke(i, e);
  if (yield r.href, t && r.pathname.endsWith("/")) {
    const c = new URL(r.href);
    c.pathname += t, yield c.href;
  }
  if (n) {
    const c = new URL(r.href);
    c.pathname += ".html", yield c.href;
  }
  if (a) {
    const c = a({ url: i });
    for (const o of c)
      yield o.href;
  }
}
class Oe extends b {
  /**
   * @param {PrecacheController} precacheController A `PrecacheController`
   * instance used to both match requests and respond to fetch events.
   * @param {Object} [options] Options to control how requests are matched
   * against the list of precached URLs.
   * @param {string} [options.directoryIndex=index.html] The `directoryIndex` will
   * check cache entries for a URLs ending with '/' to see if there is a hit when
   * appending the `directoryIndex` value.
   * @param {Array<RegExp>} [options.ignoreURLParametersMatching=[/^utm_/, /^fbclid$/]] An
   * array of regex's to remove search params when looking for a cache match.
   * @param {boolean} [options.cleanURLs=true] The `cleanURLs` option will
   * check the cache for the URL with a `.html` added to the end of the end.
   * @param {workbox-precaching~urlManipulation} [options.urlManipulation]
   * This is a function that should take a URL and return an array of
   * alternative URLs that should be checked for precache matches.
   */
  constructor(e, t) {
    const n = ({ request: a }) => {
      const i = e.getURLsToCacheKeys();
      for (const r of Se(a.url, t)) {
        const c = i.get(r);
        if (c) {
          const o = e.getIntegrityForCacheKey(c);
          return { cacheKey: c, integrity: o };
        }
      }
    };
    super(n, e.strategy);
  }
}
function ve(s) {
  const e = G(), t = new Oe(e, s);
  x(t);
}
function We(s) {
  G().precache(s);
}
function Be(s, e) {
  We(s), ve(e);
}
Be([{"revision":null,"url":"assets/_assignValue-fef395f9.js"},{"revision":null,"url":"assets/_baseFlatten-75abfff1.js"},{"revision":null,"url":"assets/_baseFor-879f9d4c.js"},{"revision":null,"url":"assets/_baseRest-165354f4.js"},{"revision":null,"url":"assets/_defineProperty-aac4baf5.js"},{"revision":null,"url":"assets/_initCloneObject-d79e2915.js"},{"revision":null,"url":"assets/_setToString-73140b38.js"},{"revision":null,"url":"assets/AboutInstanceView-a61ff81b.css"},{"revision":null,"url":"assets/AboutInstanceView-de2cff4e.js"},{"revision":null,"url":"assets/AboutView-8c55e2d3.js"},{"revision":null,"url":"assets/AccountMultiple-2a15be39.js"},{"revision":null,"url":"assets/AccountMultipleMinus-351d72b1.js"},{"revision":null,"url":"assets/AccountMultiplePlus-dad5026c.js"},{"revision":null,"url":"assets/AccountSettings-78522817.js"},{"revision":null,"url":"assets/activity-4ae92c01.js"},{"revision":null,"url":"assets/ActorCard-2a61b7d7.css"},{"revision":null,"url":"assets/ActorCard-efc489f5.js"},{"revision":null,"url":"assets/ActorInline-04149f42.css"},{"revision":null,"url":"assets/ActorInline-840ea5b5.js"},{"revision":null,"url":"assets/AddressInfo-5ffd0bcf.css"},{"revision":null,"url":"assets/AddressInfo-e98b9e01.js"},{"revision":null,"url":"assets/admin-5214a8c3.js"},{"revision":null,"url":"assets/AdminGroupProfile-f5e73cbc.js"},{"revision":null,"url":"assets/AdminProfile-46820de2.js"},{"revision":null,"url":"assets/AdminUserProfile-d4a1ce0c.js"},{"revision":null,"url":"assets/Alert-dd604d26.js"},{"revision":null,"url":"assets/AlertCircle-24ba3cf7.js"},{"revision":null,"url":"assets/AnnouncementView-3afee6f2.js"},{"revision":null,"url":"assets/AnonymousParticipationStorage-67003687.js"},{"revision":null,"url":"assets/application-c9904ec5.js"},{"revision":null,"url":"assets/Apps-53121189.js"},{"revision":null,"url":"assets/AppsView-9d3af503.js"},{"revision":null,"url":"assets/ar-bd48c6a9.js"},{"revision":null,"url":"assets/ArrowUp-f9025822.js"},{"revision":null,"url":"assets/AuthorizeApplication.vue_vue_type_script_setup_true_lang-2322c4a6.js"},{"revision":null,"url":"assets/AuthorizeView-126a99fa.js"},{"revision":null,"url":"assets/AuthProviders.vue_vue_type_script_setup_true_lang-47597c2d.js"},{"revision":null,"url":"assets/be-9449bd4c.js"},{"revision":null,"url":"assets/BellOffOutline-b2be3995.js"},{"revision":null,"url":"assets/BellOutline-5a4838d2.js"},{"revision":null,"url":"assets/bn-36220076.js"},{"revision":null,"url":"assets/Bullhorn-b2c38c46.js"},{"revision":null,"url":"assets/ca-c9f23dd3.js"},{"revision":null,"url":"assets/Calendar-07f23318.js"},{"revision":null,"url":"assets/CalendarCheck-7f0a2e19.js"},{"revision":null,"url":"assets/CalendarQuestion-72531580.js"},{"revision":null,"url":"assets/CalendarRemove-8a4c8911.js"},{"revision":null,"url":"assets/CalendarSync-50bc4b03.js"},{"revision":null,"url":"assets/CalendarText-7563cd73.js"},{"revision":null,"url":"assets/CalendarToday-a7e32a4e.js"},{"revision":null,"url":"assets/CancelParticipation-db9ea5b7.js"},{"revision":null,"url":"assets/Cash-041e4601.js"},{"revision":null,"url":"assets/CategoriesView-a89179e0.js"},{"revision":null,"url":"assets/Chat-dbea99ec.js"},{"revision":null,"url":"assets/ChatAlert-7dd3a9d0.js"},{"revision":null,"url":"assets/Check-d355929d.js"},{"revision":null,"url":"assets/CheckboxMarked-a7b58fe3.js"},{"revision":null,"url":"assets/CheckCircle-e3385a3f.js"},{"revision":null,"url":"assets/ChevronDoubleDown-0400c7ad.js"},{"revision":null,"url":"assets/ChevronDoubleUp-0cb9ecf7.js"},{"revision":null,"url":"assets/ChevronDown-74614cac.js"},{"revision":null,"url":"assets/ChevronLeft-eddc6dd5.js"},{"revision":null,"url":"assets/ChevronRight-27772ee5.js"},{"revision":null,"url":"assets/ChevronUp-61b3034b.js"},{"revision":null,"url":"assets/City-0451afe6.js"},{"revision":null,"url":"assets/Clock-69dac7b6.js"},{"revision":null,"url":"assets/cloneDeep-26076aa0.js"},{"revision":null,"url":"assets/Close-ffac5cd3.js"},{"revision":null,"url":"assets/CloudQuestion-711102eb.js"},{"revision":null,"url":"assets/Cog-34f87286.js"},{"revision":null,"url":"assets/Comment-95deb4d6.js"},{"revision":null,"url":"assets/CompactTodo.vue_vue_type_script_setup_true_lang-a816961e.js"},{"revision":null,"url":"assets/config-eefdffd5.js"},{"revision":null,"url":"assets/ConfirmParticipation-336372bd.js"},{"revision":null,"url":"assets/ContentDuplicate-cfa026c5.js"},{"revision":null,"url":"assets/ContentPaste-073cf08f.js"},{"revision":null,"url":"assets/ConversationListView-13f987af.js"},{"revision":null,"url":"assets/ConversationView-93418346.js"},{"revision":null,"url":"assets/CreateView-169598a8.js"},{"revision":null,"url":"assets/CreateView-22d85c73.css"},{"revision":null,"url":"assets/CreateView-4632540b.css"},{"revision":null,"url":"assets/CreateView-b3467bf9.js"},{"revision":null,"url":"assets/cs-2103d8e7.js"},{"revision":null,"url":"assets/cy-78ac4ca2.js"},{"revision":null,"url":"assets/da-7fc8d8cf.js"},{"revision":null,"url":"assets/DashboardView-ecbdd65c.js"},{"revision":null,"url":"assets/datetime-c1af5f82.js"},{"revision":null,"url":"assets/de-ad31c193.js"},{"revision":null,"url":"assets/debounce-83e81f34.js"},{"revision":null,"url":"assets/Delete-d41194c4.js"},{"revision":null,"url":"assets/DeviceActivationView-141613c6.js"},{"revision":null,"url":"assets/discussion-b00292b9.js"},{"revision":null,"url":"assets/DiscussionActivityItem-71025273.css"},{"revision":null,"url":"assets/DiscussionActivityItem-a7d35ae1.js"},{"revision":null,"url":"assets/DiscussionComment-46224716.css"},{"revision":null,"url":"assets/DiscussionComment-66529a73.js"},{"revision":null,"url":"assets/DiscussionListItem.vue_vue_type_script_setup_true_lang-e37987ef.js"},{"revision":null,"url":"assets/DiscussionsListView-62d5917e.js"},{"revision":null,"url":"assets/DiscussionView-ec357698.js"},{"revision":null,"url":"assets/DotsHorizontal-f3c81d2c.js"},{"revision":null,"url":"assets/Earth-68ce5f6a.js"},{"revision":null,"url":"assets/EditIdentity-6df5bc90.css"},{"revision":null,"url":"assets/EditIdentity-be87404b.js"},{"revision":null,"url":"assets/EditView-74a2ab83.js"},{"revision":null,"url":"assets/EditView-9297d8f6.css"},{"revision":null,"url":"assets/EditView-febb9e93.js"},{"revision":null,"url":"assets/Email-e30214f8.js"},{"revision":null,"url":"assets/EmailValidate-4f75bd86.js"},{"revision":null,"url":"assets/EmptyContent-19e40a3e.js"},{"revision":null,"url":"assets/EmptyContent.vue_vue_type_script_setup_true_lang-5ba6ef18.js"},{"revision":null,"url":"assets/eo-767a1719.js"},{"revision":null,"url":"assets/ErrorComponent-0b2348b7.js"},{"revision":null,"url":"assets/ErrorComponent-7cb18030.css"},{"revision":null,"url":"assets/ErrorView-a5b2cc5f.js"},{"revision":null,"url":"assets/es-1a87b070.js"},{"revision":null,"url":"assets/EtherpadIntegration-6ea51f2b.js"},{"revision":null,"url":"assets/EtherpadIntegration-cdd09da1.css"},{"revision":null,"url":"assets/eu-52732c36.js"},{"revision":null,"url":"assets/event-342b6383.js"},{"revision":null,"url":"assets/EventActivityItem-84a837e2.js"},{"revision":null,"url":"assets/EventActivityItem-fc536a84.css"},{"revision":null,"url":"assets/EventComment-f60d5998.css"},{"revision":null,"url":"assets/EventComment.vue_vue_type_style_index_0_lang-9bb822e5.js"},{"revision":null,"url":"assets/EventMap-2576dd7c.css"},{"revision":null,"url":"assets/EventMap-70d9e8ac.js"},{"revision":null,"url":"assets/EventMarkerMap-0015a487.css"},{"revision":null,"url":"assets/EventMarkerMap-baced2d8.js"},{"revision":null,"url":"assets/EventMetadata-a0987ab3.js"},{"revision":null,"url":"assets/EventMetadataBlock-d7903131.js"},{"revision":null,"url":"assets/EventMetadataBlock-da028286.css"},{"revision":null,"url":"assets/EventMinimalistCard-89ff556d.css"},{"revision":null,"url":"assets/EventMinimalistCard-e2938f43.js"},{"revision":null,"url":"assets/EventParticipationCard-821e1619.css"},{"revision":null,"url":"assets/EventParticipationCard-d50027d4.js"},{"revision":null,"url":"assets/EventView-5f7424ba.css"},{"revision":null,"url":"assets/EventView-9f1263ac.js"},{"revision":null,"url":"assets/ExitToApp-6906140a.js"},{"revision":null,"url":"assets/Eye-b3bdc9c1.js"},{"revision":null,"url":"assets/EyeOff-b3051696.js"},{"revision":null,"url":"assets/EyeOutline-098d9490.js"},{"revision":null,"url":"assets/fa-d4e963f6.js"},{"revision":null,"url":"assets/feed_tokens-bae1a373.js"},{"revision":null,"url":"assets/fi-2d6cfb95.js"},{"revision":null,"url":"assets/FileDelimited-eb47eeea.js"},{"revision":null,"url":"assets/FileDocumentEdit-68e4a7cb.js"},{"revision":null,"url":"assets/FileDocumentOutline-115ee3dc.js"},{"revision":null,"url":"assets/FilePdfBox-91d4979c.js"},{"revision":null,"url":"assets/Filter-7e6b2909.js"},{"revision":null,"url":"assets/Flag-4dd0bd72.js"},{"revision":null,"url":"assets/FolderItem-6c40f4a3.js"},{"revision":null,"url":"assets/FolderItem-aa466508.css"},{"revision":null,"url":"assets/followers-0725bd65.js"},{"revision":null,"url":"assets/FormatBold-2d206af3.js"},{"revision":null,"url":"assets/FormatHeader1-997e4ad0.js"},{"revision":null,"url":"assets/FormatHeader2-c1a86871.js"},{"revision":null,"url":"assets/FormatHeader3-a1780273.js"},{"revision":null,"url":"assets/FormatItalic-ce230390.js"},{"revision":null,"url":"assets/FormatListBulleted-a27208bd.js"},{"revision":null,"url":"assets/FormatListNumbered-7b54a064.js"},{"revision":null,"url":"assets/FormatQuoteClose-b1166b6b.js"},{"revision":null,"url":"assets/FormatUnderline-00f52392.js"},{"revision":null,"url":"assets/fr_FR-d242e4d5.js"},{"revision":null,"url":"assets/FullAddressAutoComplete-23896053.css"},{"revision":null,"url":"assets/FullAddressAutoComplete-6867238c.js"},{"revision":null,"url":"assets/FullAddressAutoComplete.vue_vue_type_style_index_0_lang-9a5348f6.js"},{"revision":null,"url":"assets/gd-658b7770.js"},{"revision":null,"url":"assets/gl-64d9675f.js"},{"revision":null,"url":"assets/GlossaryView-425deebb.js"},{"revision":null,"url":"assets/GlossaryView-bd8974d8.css"},{"revision":null,"url":"assets/Google-20b5bbad.js"},{"revision":null,"url":"assets/GoogleHangouts-a444425b.js"},{"revision":null,"url":"assets/GoogleSpreadsheet-19489f50.js"},{"revision":null,"url":"assets/group-a5386951.js"},{"revision":null,"url":"assets/group-e8a3896f.js"},{"revision":null,"url":"assets/GroupActivityItem-83f6810f.css"},{"revision":null,"url":"assets/GroupActivityItem-cb7772a0.js"},{"revision":null,"url":"assets/GroupEvents-59340422.css"},{"revision":null,"url":"assets/GroupEvents-fc2cf6f5.js"},{"revision":null,"url":"assets/GroupFollowers-31468a58.js"},{"revision":null,"url":"assets/GroupMembers-c9931bbf.js"},{"revision":null,"url":"assets/GroupProfiles-18bcfbf7.css"},{"revision":null,"url":"assets/GroupProfiles-8e0a7e88.js"},{"revision":null,"url":"assets/GroupSettings-b5aca4ba.js"},{"revision":null,"url":"assets/GroupView-0cd5f096.css"},{"revision":null,"url":"assets/GroupView-6f893796.js"},{"revision":null,"url":"assets/he-a94ce82c.js"},{"revision":null,"url":"assets/HelpCircleOutline-00097e5a.js"},{"revision":null,"url":"assets/Home-f3d0ae20.js"},{"revision":null,"url":"assets/HomepageRedirectComponent-21ca6e64.js"},{"revision":null,"url":"assets/hr-1e431c7f.js"},{"revision":null,"url":"assets/html-83642a54.js"},{"revision":null,"url":"assets/hu-5d9c1552.js"},{"revision":null,"url":"assets/id-a126a86c.js"},{"revision":null,"url":"assets/Image-7012c0b1.js"},{"revision":null,"url":"assets/image-7578a618.js"},{"revision":null,"url":"assets/InboxArrowDown-449bec90.js"},{"revision":null,"url":"assets/InboxArrowUp-d71c518b.js"},{"revision":null,"url":"assets/index-015c7933.js"},{"revision":null,"url":"assets/index-04d415dd.js"},{"revision":null,"url":"assets/index-09456140.js"},{"revision":null,"url":"assets/index-0e3aa60b.js"},{"revision":null,"url":"assets/index-113d00ff.js"},{"revision":null,"url":"assets/index-12ddac97.js"},{"revision":null,"url":"assets/index-134e1d66.js"},{"revision":null,"url":"assets/index-1643bfa7.js"},{"revision":null,"url":"assets/index-1691f6d0.js"},{"revision":null,"url":"assets/index-1964aa29.js"},{"revision":null,"url":"assets/index-1cfaa95d.js"},{"revision":null,"url":"assets/index-1dcd78e6.js"},{"revision":null,"url":"assets/index-2178e721.js"},{"revision":null,"url":"assets/index-21f667ff.js"},{"revision":null,"url":"assets/index-243648ce.js"},{"revision":null,"url":"assets/index-2495f091.js"},{"revision":null,"url":"assets/index-2628e0da.js"},{"revision":null,"url":"assets/index-2ec374f9.js"},{"revision":null,"url":"assets/index-353c7119.js"},{"revision":null,"url":"assets/index-359abbd0.js"},{"revision":null,"url":"assets/index-381735c0.js"},{"revision":null,"url":"assets/index-3906badf.js"},{"revision":null,"url":"assets/index-3beedbfe.js"},{"revision":null,"url":"assets/index-4166bc42.js"},{"revision":null,"url":"assets/index-483ee793.js"},{"revision":null,"url":"assets/index-4c214f6c.js"},{"revision":null,"url":"assets/index-4e402ba6.js"},{"revision":null,"url":"assets/index-4fe8262d.js"},{"revision":null,"url":"assets/index-5375ff5b.js"},{"revision":null,"url":"assets/index-54c0a2fb.js"},{"revision":null,"url":"assets/index-555bb65e.js"},{"revision":null,"url":"assets/index-5e0046e9.js"},{"revision":null,"url":"assets/index-5e7024ee.js"},{"revision":null,"url":"assets/index-5fb4a88a.js"},{"revision":null,"url":"assets/index-60f12f08.js"},{"revision":null,"url":"assets/index-6198107e.js"},{"revision":null,"url":"assets/index-61e8e1f3.js"},{"revision":null,"url":"assets/index-63d9e915.js"},{"revision":null,"url":"assets/index-6400e854.js"},{"revision":null,"url":"assets/index-6aab735f.js"},{"revision":null,"url":"assets/index-6b923b10.js"},{"revision":null,"url":"assets/index-718485b4.js"},{"revision":null,"url":"assets/index-71c50b11.js"},{"revision":null,"url":"assets/index-757ade0f.js"},{"revision":null,"url":"assets/index-772af10c.js"},{"revision":null,"url":"assets/index-795f638c.js"},{"revision":null,"url":"assets/index-7e778e64.js"},{"revision":null,"url":"assets/index-81926f72.js"},{"revision":null,"url":"assets/index-825035c1.js"},{"revision":null,"url":"assets/index-84feb713.js"},{"revision":null,"url":"assets/index-877177c6.js"},{"revision":null,"url":"assets/index-87c319d2.js"},{"revision":null,"url":"assets/index-8c24a4c5.js"},{"revision":null,"url":"assets/index-8fce575e.js"},{"revision":null,"url":"assets/index-91a20042.js"},{"revision":null,"url":"assets/index-9314f774.js"},{"revision":null,"url":"assets/index-98aa39eb.js"},{"revision":null,"url":"assets/index-9e34ce2a.js"},{"revision":null,"url":"assets/index-a0dba045.js"},{"revision":null,"url":"assets/index-a0fb7d52.js"},{"revision":null,"url":"assets/index-a7daea4a.js"},{"revision":null,"url":"assets/index-a9341cd7.js"},{"revision":null,"url":"assets/index-aabaf46a.js"},{"revision":null,"url":"assets/index-ab64c913.js"},{"revision":null,"url":"assets/index-abddc9e3.js"},{"revision":null,"url":"assets/index-b064ade6.js"},{"revision":null,"url":"assets/index-b07a861d.js"},{"revision":null,"url":"assets/index-b1687220.js"},{"revision":null,"url":"assets/index-b44e3a6e.js"},{"revision":null,"url":"assets/index-b5d20da8.js"},{"revision":null,"url":"assets/index-b90c816f.js"},{"revision":null,"url":"assets/index-bbdbc0f6.js"},{"revision":null,"url":"assets/index-bcd17ccc.js"},{"revision":null,"url":"assets/index-bdcd6152.js"},{"revision":null,"url":"assets/index-c1983d1d.js"},{"revision":null,"url":"assets/index-c2a76797.js"},{"revision":null,"url":"assets/index-c3c4bbac.js"},{"revision":null,"url":"assets/index-c44fd070.js"},{"revision":null,"url":"assets/index-c7827ca2.js"},{"revision":null,"url":"assets/index-c8c297b7.js"},{"revision":null,"url":"assets/index-ca9e23c5.js"},{"revision":null,"url":"assets/index-cd25a3ab.js"},{"revision":null,"url":"assets/index-cf875f5d.js"},{"revision":null,"url":"assets/index-d13c066e.js"},{"revision":null,"url":"assets/index-d3f6045b.js"},{"revision":null,"url":"assets/index-d60351a5.js"},{"revision":null,"url":"assets/index-d7f96da7.js"},{"revision":null,"url":"assets/index-d92885c5.js"},{"revision":null,"url":"assets/index-dd508a5f.js"},{"revision":null,"url":"assets/index-de1d8e1a.js"},{"revision":null,"url":"assets/index-e28ec5af.js"},{"revision":null,"url":"assets/index-e328b08f.js"},{"revision":null,"url":"assets/index-e96701be.js"},{"revision":null,"url":"assets/index-eb1cf411.js"},{"revision":null,"url":"assets/index-ec005d80.js"},{"revision":null,"url":"assets/index-ec912e9c.js"},{"revision":null,"url":"assets/index-ed5e86f5.js"},{"revision":null,"url":"assets/index-ef6f6964.js"},{"revision":null,"url":"assets/index-f29c34d8.js"},{"revision":null,"url":"assets/index-f2f4674a.js"},{"revision":null,"url":"assets/index-f36085be.js"},{"revision":null,"url":"assets/index-f97cf511.js"},{"revision":null,"url":"assets/index-fca2ae7c.js"},{"revision":null,"url":"assets/index-fcaa6816.js"},{"revision":null,"url":"assets/InstancesView-4210c95d.css"},{"revision":null,"url":"assets/InstancesView-70a88fa1.js"},{"revision":null,"url":"assets/InstanceView-65b7e759.js"},{"revision":null,"url":"assets/InteractView-0bc8331c.js"},{"revision":null,"url":"assets/intersection-observer-c37e1c25.js"},{"revision":null,"url":"assets/InvitationsList.vue_vue_type_script_setup_true_lang-7163d90d.js"},{"revision":null,"url":"assets/isArrayLikeObject-f0c13de7.js"},{"revision":null,"url":"assets/it-4f7ffd79.js"},{"revision":null,"url":"assets/ja-ae3db93f.js"},{"revision":null,"url":"assets/JitsiMeetIntegration-a9e5c7b1.css"},{"revision":null,"url":"assets/JitsiMeetIntegration-b2121aaf.js"},{"revision":null,"url":"assets/JoinGroupWithAccount-1babb5a8.js"},{"revision":null,"url":"assets/kab-a794f315.js"},{"revision":null,"url":"assets/kn-084a11bf.js"},{"revision":null,"url":"assets/ko-9ebf5ebb.js"},{"revision":null,"url":"assets/Label-695fe71f.js"},{"revision":null,"url":"assets/LanDisconnect-3dfe9da4.js"},{"revision":null,"url":"assets/leaflet-36a4905a.css"},{"revision":null,"url":"assets/leaflet-src-1da16473.js"},{"revision":null,"url":"assets/leaflet-src.esm-9c358b30.js"},{"revision":null,"url":"assets/LeafletMap-089781bd.css"},{"revision":null,"url":"assets/LeafletMap-95f0d7fa.js"},{"revision":null,"url":"assets/Link-c72f1e80.js"},{"revision":null,"url":"assets/LinkOff-689c5f87.js"},{"revision":null,"url":"assets/ListView-2d703b5c.js"},{"revision":null,"url":"assets/Loading-2e2e9279.js"},{"revision":null,"url":"assets/Lock-002ea4ee.js"},{"revision":null,"url":"assets/LoginView-d52b0c8a.js"},{"revision":null,"url":"assets/LogsView-587d7c70.css"},{"revision":null,"url":"assets/LogsView-837ec7b5.js"},{"revision":null,"url":"assets/Magnify-b0d765ad.js"},{"revision":null,"url":"assets/main-5914a5b8.css"},{"revision":null,"url":"assets/main-abfb2298.js"},{"revision":null,"url":"assets/Map-d68e0f2e.js"},{"revision":null,"url":"assets/marker-icon-2x-e148f0f7.js"},{"revision":null,"url":"assets/marker-icon-d6994ad0.js"},{"revision":null,"url":"assets/marker-shadow-a7f70f89.js"},{"revision":null,"url":"assets/matomo-10279458.js"},{"revision":null,"url":"assets/member-52f20a9b.js"},{"revision":null,"url":"assets/MemberActivityItem-5f8a5a80.css"},{"revision":null,"url":"assets/MemberActivityItem-d809123c.js"},{"revision":null,"url":"assets/MenuDown-b2c62d28.js"},{"revision":null,"url":"assets/MenuUp-be286a99.js"},{"revision":null,"url":"assets/MicrosoftTeams-10bb2377.js"},{"revision":null,"url":"assets/MultiPostListItem-02d6a301.css"},{"revision":null,"url":"assets/MultiPostListItem-56ee056a.js"},{"revision":null,"url":"assets/MyEventsView-1f173f2f.css"},{"revision":null,"url":"assets/MyEventsView-c9c61224.js"},{"revision":null,"url":"assets/MyGroups-02e0abfb.js"},{"revision":null,"url":"assets/MyGroups-79c2fc3a.css"},{"revision":null,"url":"assets/NewConversation-8348f75d.js"},{"revision":null,"url":"assets/nl-f5540b25.js"},{"revision":null,"url":"assets/nn-46d9c77f.js"},{"revision":null,"url":"assets/NotificationsOnboarding-0116e7a6.js"},{"revision":null,"url":"assets/NotificationsView-2fc15edc.js"},{"revision":null,"url":"assets/NotificationsView-e58e4fb1.css"},{"revision":null,"url":"assets/oc-4ead46c7.js"},{"revision":null,"url":"assets/OpenInNew-331dc435.js"},{"revision":null,"url":"assets/PageNotFound-039ac4e7.js"},{"revision":null,"url":"assets/ParticipantsView-264a1ff5.js"},{"revision":null,"url":"assets/ParticipantsView-4624c014.css"},{"revision":null,"url":"assets/ParticipationWithAccount-1a8f9119.js"},{"revision":null,"url":"assets/ParticipationWithoutAccount-942dacb9.js"},{"revision":null,"url":"assets/PasswordReset-a3973066.js"},{"revision":null,"url":"assets/PeerTubeIntegration-2ebb352b.js"},{"revision":null,"url":"assets/PeerTubeIntegration-e9886783.css"},{"revision":null,"url":"assets/Pencil-9fb24672.js"},{"revision":null,"url":"assets/PencilOutline-6a9debd3.js"},{"revision":null,"url":"assets/person.model-dfa5cdc7.js"},{"revision":null,"url":"assets/PictureUpload.vue_vue_type_script_setup_true_lang-6466c946.js"},{"revision":null,"url":"assets/pl-1f812e18.js"},{"revision":null,"url":"assets/PopoverActorCard.vue_vue_type_script_setup_true_lang-f8a9dd81.js"},{"revision":null,"url":"assets/post-018d6abc.js"},{"revision":null,"url":"assets/PostActivityItem-176d1a9f.css"},{"revision":null,"url":"assets/PostActivityItem-98b089b5.js"},{"revision":null,"url":"assets/PostView-728802fd.js"},{"revision":null,"url":"assets/PostView-941f6446.css"},{"revision":null,"url":"assets/PreferencesView-2265859f.js"},{"revision":null,"url":"assets/PreferencesView-f091ab10.css"},{"revision":null,"url":"assets/PrivacyView-781c2278.js"},{"revision":null,"url":"assets/ProfileOnboarding-da61de13.js"},{"revision":null,"url":"assets/ProfilesView-06276877.js"},{"revision":null,"url":"assets/ProfilesView-acac3b37.css"},{"revision":null,"url":"assets/ProviderValidation-208f5d77.js"},{"revision":null,"url":"assets/pt_BR-705f45fe.js"},{"revision":null,"url":"assets/pt-bd1631fa.js"},{"revision":null,"url":"assets/RedirectWithAccount.vue_vue_type_script_setup_true_lang-4043f0fe.js"},{"revision":null,"url":"assets/Redo-c3d226b6.js"},{"revision":null,"url":"assets/Refresh-fc256ee5.js"},{"revision":null,"url":"assets/RegisterView-e966ea5d.js"},{"revision":null,"url":"assets/RegisterView-fc51d582.js"},{"revision":null,"url":"assets/Reply-d2ab9902.js"},{"revision":null,"url":"assets/report-48ba76fa.css"},{"revision":null,"url":"assets/report-e728db9e.js"},{"revision":null,"url":"assets/report-f69539a2.js"},{"revision":null,"url":"assets/ReportListView-10946f5c.js"},{"revision":null,"url":"assets/ReportListView-1adaa605.css"},{"revision":null,"url":"assets/ReportView-5eb85c58.js"},{"revision":null,"url":"assets/ReportView-b05ead2d.css"},{"revision":null,"url":"assets/ResendConfirmation-0ebd216a.js"},{"revision":null,"url":"assets/ResourceActivityItem-509a2252.css"},{"revision":null,"url":"assets/ResourceActivityItem-8fca1655.js"},{"revision":null,"url":"assets/ResourceFolder-d5c0fd99.css"},{"revision":null,"url":"assets/ResourceFolder-fcc28182.js"},{"revision":null,"url":"assets/resources-9020424e.js"},{"revision":null,"url":"assets/RoadVariant-0dc1badf.js"},{"revision":null,"url":"assets/route-89d7ccac.js"},{"revision":null,"url":"assets/Rss-ad63d70b.js"},{"revision":null,"url":"assets/ru-c82ed5f0.js"},{"revision":null,"url":"assets/RulesView-8f2ed946.js"},{"revision":null,"url":"assets/SearchView-2ab004f5.js"},{"revision":null,"url":"assets/Send-482e3bdc.js"},{"revision":null,"url":"assets/SendPasswordReset-7b087211.js"},{"revision":null,"url":"assets/sentry-8b94f392.js"},{"revision":null,"url":"assets/SentryFeedback-03133b16.js"},{"revision":null,"url":"assets/SettingMenuItem-84230d49.css"},{"revision":null,"url":"assets/SettingMenuItem-d8add284.js"},{"revision":null,"url":"assets/SettingsOnboard-6885c0d9.js"},{"revision":null,"url":"assets/SettingsOnboard-8a888942.css"},{"revision":null,"url":"assets/SettingsOnboarding-35da2e2a.css"},{"revision":null,"url":"assets/SettingsOnboarding-ed3ddda2.js"},{"revision":null,"url":"assets/SettingsView-3018152d.js"},{"revision":null,"url":"assets/SettingsView-37e8eeda.css"},{"revision":null,"url":"assets/SettingsView-6897cac9.js"},{"revision":null,"url":"assets/SettingsView-d4feade0.css"},{"revision":null,"url":"assets/SettingsView-dc1eb236.js"},{"revision":null,"url":"assets/Share-b53b61bc.js"},{"revision":null,"url":"assets/ShareEventModal-40734457.js"},{"revision":null,"url":"assets/ShareGroupModal-1e39a0d4.css"},{"revision":null,"url":"assets/ShareGroupModal-b64623f7.js"},{"revision":null,"url":"assets/ShareModal-1f84278c.css"},{"revision":null,"url":"assets/ShareModal-d6ae6a93.js"},{"revision":null,"url":"assets/sl-9ec32507.js"},{"revision":null,"url":"assets/SmokingOff-c532c45c.js"},{"revision":null,"url":"assets/sortBy-72942a70.js"},{"revision":null,"url":"assets/Subtitles-07578d4d.js"},{"revision":null,"url":"assets/sv-b09262de.js"},{"revision":null,"url":"assets/TagInput.vue_vue_type_script_setup_true_lang-db93fda7.js"},{"revision":null,"url":"assets/TermsView-a8f41ba3.js"},{"revision":null,"url":"assets/TextEditor-0f833f32.js"},{"revision":null,"url":"assets/TextEditor-2b8e517a.css"},{"revision":null,"url":"assets/TextEditor.vue_vue_type_style_index_1_lang-a0f76b4e.js"},{"revision":null,"url":"assets/TicketConfirmation-352c86e2.js"},{"revision":null,"url":"assets/TimelineText-6762c10a.js"},{"revision":null,"url":"assets/TimelineView-bd48b3d6.css"},{"revision":null,"url":"assets/TimelineView-ed56f86e.js"},{"revision":null,"url":"assets/TimerSandEmpty-48fdb943.js"},{"revision":null,"url":"assets/TodoList-8ccee0ba.js"},{"revision":null,"url":"assets/TodoLists-80df329f.js"},{"revision":null,"url":"assets/todos-6b102844.js"},{"revision":null,"url":"assets/TodoView-d20f4de0.js"},{"revision":null,"url":"assets/tt-ca7f49f1.js"},{"revision":null,"url":"assets/Twitch-e6a832b7.js"},{"revision":null,"url":"assets/TwitchIntegration-9f6ca039.js"},{"revision":null,"url":"assets/TwitchIntegration-ae66f08e.css"},{"revision":null,"url":"assets/Twitter-d316e9ea.js"},{"revision":null,"url":"assets/Undo-c5486fae.js"},{"revision":null,"url":"assets/UnloggedParticipation-6c9db16b.css"},{"revision":null,"url":"assets/UnloggedParticipation-b6c4d379.js"},{"revision":null,"url":"assets/Upload-114025c5.js"},{"revision":null,"url":"assets/username-6ed7e305.js"},{"revision":null,"url":"assets/UsersView-697ab87e.js"},{"revision":null,"url":"assets/UsersView-8e4b8f1c.css"},{"revision":null,"url":"assets/ValidateUser-a2497190.js"},{"revision":null,"url":"assets/ViewList-ecab3277.js"},{"revision":null,"url":"assets/Web-142c21e3.js"},{"revision":null,"url":"assets/Webcam-051f6000.js"},{"revision":null,"url":"assets/WheelchairAccessibility-5d93059f.js"},{"revision":null,"url":"assets/Youtube-1c416489.js"},{"revision":null,"url":"assets/YouTubeIntegration-696174fa.js"},{"revision":null,"url":"assets/YouTubeIntegration-7749c1ce.css"},{"revision":null,"url":"assets/zh_Hans-ce598c86.js"},{"revision":null,"url":"assets/zh_Hant-13e10abe.js"},{"revision":"38013143dc2183340ede8bc1c5124507","url":"registerSW.js"},{"revision":"09abaed9f8c06df9088a86af73aa996b","url":"./img/icons/android-chrome-192x192.png"},{"revision":"6d3c2313259760bc2d8fd88f080bcb6a","url":"./img/icons/android-chrome-512x512.png"},{"revision":"dee84abe2cbc572cd84940792e1ceace","url":"./img/icons/android-chrome-maskable-192x192.png"},{"revision":"ed4a7c9762449981c6a3bce517237399","url":"./img/icons/android-chrome-maskable-512x512.png"},{"revision":"bf8ce474bcc21f38135afa13b1ba53af","url":"manifest.webmanifest"}]);
x(
  // Check to see if the request is a navigation to a new page
  ({ request: s }) => s.mode === "navigate",
  // Use a Network First caching strategy
  new oe({
    // Put all cached files in a cache named 'pages'
    cacheName: "pages",
    plugins: [
      // Ensure that only requests that result in a 200 status are cached
      new I({
        statuses: [200]
      })
    ]
  })
);
x(
  // Check to see if the request's destination is style for stylesheets, script for JavaScript, font, or worker for web worker
  ({ request: s }) => s.destination === "style" || s.destination === "script" || s.destination === "font" || s.destination === "worker",
  // Use a Stale While Revalidate caching strategy
  new le({
    // Put all cached files in a cache named 'assets'
    cacheName: "assets",
    plugins: [
      // Ensure that only requests that result in a 200 status are cached
      new I({
        statuses: [200]
      })
    ]
  })
);
x(
  // Check to see if the request's destination is style for an image
  ({ request: s }) => s.destination === "image",
  // Use a Cache First caching strategy
  new ce({
    // Put all cached files in a cache named 'images'
    cacheName: "images",
    plugins: [
      // Ensure that only requests that result in a 200 status are cached
      new I({
        statuses: [200]
      }),
      // Don't cache more than 50 items, and expire them after 30 days
      new De({
        maxEntries: 50,
        maxAgeSeconds: 60 * 60 * 24 * 30
        // 30 Days
      })
    ]
  })
);
async function je() {
  const s = await self.clients.matchAll({
    type: "window",
    includeUncontrolled: !0
  });
  let e = !1;
  for (let t = 0; t < s.length; t++)
    if (s[t].focused) {
      e = !0;
      break;
    }
  return e;
}
self.addEventListener("push", async (s) => {
  if (!s.data)
    return;
  const e = s.data.json();
  console.debug("received push", e);
  const t = {
    body: e.body,
    icon: "/img/icons/android-chrome-512x512.png",
    badge: "/img/icons/badge-128x128.png",
    timestamp: new Date(e.timestamp).getTime(),
    lang: e.locale,
    data: {
      dateOfArrival: Date.now(),
      url: e.url
    }
  };
  s.waitUntil(
    (async () => {
      await je() || self.registration.showNotification(e.title, t);
    })()
  );
});
self.addEventListener("notificationclick", function(s) {
  const e = s.notification.data.url;
  s.notification.close(), s.waitUntil(
    (async () => {
      const t = await self.clients.matchAll({
        type: "window",
        includeUncontrolled: !0
      });
      for (let n = 0; n < t.length; n++) {
        const a = t[n];
        if (a.url == e && "focus" in a)
          return a.focus();
      }
      if (self.clients.openWindow)
        return self.clients.openWindow(e);
    })()
  );
});
self.addEventListener("message", (s) => {
  const e = s.ports[0], t = s.data;
  e && t && t.type === "skip-waiting" && (console.debug("doing skip waiting"), s.waitUntil(
    self.skipWaiting().then(
      () => e.postMessage({ error: null }),
      (n) => e.postMessage({ error: n })
    )
  ));
});
//# sourceMappingURL=./service-worker-5ef9a0bf4739420e71d531461f54d296.js.map
